function [] = load_human_symbols()

global g_gene_names;


disp('Loading the human symbols...');
g_gene_names = java.util.Hashtable;

fid = fopen('human_symbols.txt');
while 1
    tline = fgetl(fid);
    if ~ischar(tline),   break,   end
    
    idx = find(tline==9);
    if length(idx)~=1
        error(['wrong gene sysmbol line: ', tline]);
    end
    
    geneid = str2num(tline(1:idx-1));
    sym = tline(idx+1:end);
    g_gene_names.put(geneid,sym);
end

fclose(fid);
disp(['Loaded ', num2str(g_gene_names.size()), ' symbols ...']);

