function [] = load_union_network() 

global g_inter;
global g_gene_names;
global g_inter_atts_names;
global g_inter_atts;

disp('Loading the interactions...');
fid = fopen('human_mouse_HPRD_union.txt');
hline = fgetl(fid);

idx = find(hline==9);
cN = length(idx)+1;

g_inter_atts_names = cell(1,cN);
idx = [0, idx, length(hline)+1];
for c=1:cN
    g_inter_atts_names{c} = hline(idx(c)+1:idx(c+1)-1);
end
% disp(columnNames);

g_inter = zeros(200000,5);
g_inter_atts = cell(200000,cN);

n = 0;
% return;
while 1
    tline = fgetl(fid);
    n = n+1;
    if mod(n,1000)==0
        n
    end
    if ~ischar(tline),   break,   end
    % disp(tline)
    idx = find(tline==9);
    if length(idx)~=cN-1
        error('aaaaa');
    end
 
    idx = [0, idx, length(tline)+1];
    for c=1:cN
        g_inter_atts{n,c} = tline(idx(c)+1:idx(c+1)-1);
    end
    
    for c=1:5
        g_inter(n,c) = str2num(tline(idx(c)+1:idx(c+1)-1));
    end
end
fclose(fid);

g_inter = g_inter(1:n,:);
g_inter_atts = g_inter_atts(1:n,:);

disp(['Done! Loaded ', num2str(length(g_inter)), ' interactions.']);
load_human_symbols();