function [] = load_union_network_fast() 

global g_inter;
global g_gene_names;


disp('Loading the interactions...');
g_inter = load('human_mouse_HPRD_union_small.txt');
disp(['Done! Loaded ', num2str(length(g_inter)), ' interactions.']);

load_human_symbols();

disp('Testing for unlabeled genes');
no_sym_genes = [];
for i=1:length(g_inter)
    for u=2:2
        if length(g_gene_names.get(g_inter(i,u))) == 0
            disp([num2str(g_inter(i,u)), ' is undefined']);
            no_sym_genes = [no_sym_genes; g_inter(i,u)];
        end
    end
end
no_sym_genes = unique(no_sym_genes);
disp(no_sym_genes);
